<div class="filter-table-container" >
    <div class="table-search-section">
        <div class="row">
            <div class="col-sm-7 p-t-20 m-b-20">
                
                <i class="material-icons f-white m-r-10 vertical-middle">shopping_basket </i>
                <span class="vertical-middle f-white f-21">Recent Messages</span>
              </div>
              <div class="col-sm-5 position-relative">
                  <mat-form-field class="search-wrapper" appearance="outline">
                    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Search for a message">
                    <img src="../../../assets/images/icons/outline_search_black_1x.png" class="search-icon"/>
                    <!-- <mat-icon matSuffix>search</mat-icon> -->
                  </mat-form-field>
              </div>
              
        </div>
       
        
    </div>
    
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" matSort>
    
        <!-- Position Column -->
        <ng-container matColumnDef="position">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> No. </th>
          <td mat-cell *matCellDef="let element"> {{element.position}} </td>
        </ng-container>
    
        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
          <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>
    
        <!-- Weight Column -->
        <ng-container matColumnDef="weight">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Weight </th>
          <td mat-cell *matCellDef="let element"> {{element.weight}} </td>
        </ng-container>
    
        <!-- Symbol Column -->
        <ng-container matColumnDef="symbol">
          <th mat-header-cell *matHeaderCellDef mat-sort-header> Symbol </th>
          <td mat-cell *matCellDef="let element"> {{element.symbol}} </td>
        </ng-container>
    
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>  
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
    
      <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
    </div>
    

</div>

